@import "src/styles/base";

.card {
  width: 100%;
  position: relative;
  background: white;
  padding: 30px 20px 40px;
  @include card(3);
  max-width: $contact-card-width;
  pointer-events: auto;
  @include xs {
    padding: 40px;
  }
  @include lg {
    max-width: none;
  }
}

.closeBtn {
  appearance: none;
  @include circle(44px);
  padding: 0;
  text-align: center;
  cursor: pointer;
  position: absolute;
  top: 0;
  right: 0;
  border: none;
  font-size: 0;
  background: url("../../images/close.svg") no-repeat center;
  outline: none;
  transition: .3s ease-in-out opacity;

  &:hover {
    opacity: .7;
  }
}

.layout {
  @include sm {
    display: flex;
    flex-flow: row wrap;
  }
  @include md {
    display: flex;
  }
}

.avatarBox {
  flex: 0 0 auto;
  margin-bottom: 20px;
  @include sm {
    margin-right: 40px;
  }
}

.infoBox {
  flex: 1 0 auto;
  font-style: normal;

  .row {
    word-break: break-all;
    margin: 0 0 10px;

    &:last-child {
      margin-bottom: 0;
    }

    @include media(560) {
      display: flex;
      flex-flow: row nowrap;
    }

    @include md {
      display: flex;
    }

    strong {
      display: block;
      margin-bottom: 5px;

      &:first-letter {
        text-transform: uppercase;
      }

      @include media(560) {
        flex: 0 0 90px;
        margin-bottom: 0;
      }
      @include md {
        margin-bottom: 0;
        margin-right: 20px;
      }
    }

    .value {
      flex: 0 0 auto;
      max-width: 100%;
    }

  }
}

.title {
  font-weight: bold;
  font-size: 20px;
  margin: 0 0 20px;
  line-height: 1.2;
  @include sm {
    line-height: 30px;
  }

  span {
    text-transform: uppercase;
  }
}

.userName {
  position: absolute;
  background: $accent-color;
  @include card(1);
  padding: 12px 15px;
  top: -21px;
  left: -10px;
  line-height: 18px;
  color: $primary-color-text;

  span {
    text-transform: uppercase;
    font-weight: bold;
    display: none;
    @include xs {
      display: inline;
    }
  }
}
